Bug 245037 - net-mgmt/zabbix44-proxy and net-mgmt/zabbix44-server conflict -- Problematic file: /usr/local/bin/zabbix_js
Summary: net-mgmt/zabbix44-proxy and net-mgmt/zabbix44-server conflict -- Problematic ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-24 23:39 UTC by Aleksandr Ignatyev
Modified: 2020-06-06 16:48 UTC (History)
3 users (show)

See Also:
dbaio: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Ignatyev 2020-03-24 23:39:41 UTC
In case if one of net-mgmt/zabbix44-proxy or net-mgmt/zabbix44-server is installed, another failed with error below.


root@sandbox:/usr/ports/net-mgmt/zabbix44-proxy # make install
===>  Installing for zabbix44-proxy-4.4.5
===>  Checking if zabbix44-proxy is already installed
===>   Registering installation for zabbix44-proxy-4.4.5
[sandbox.genesyslab.com] Installing zabbix44-proxy-4.4.5...
pkg-static: zabbix44-proxy-4.4.5 conflicts with zabbix44-server-4.4.5 (installs files into the same place).  Problematic file: /usr/local/bin/zabbix_js
*** Error code 70

Stop.
make[1]: stopped in /usr/ports/net-mgmt/zabbix44-proxy
*** Error code 1


zabbix_js tool is new for 4.4.5. Guess, better way is to spin another port, like zabbix44-js.
Comment 1 Aleksandr Ignatyev 2020-05-14 04:21:54 UTC
It built successfully by poudriere.
Problem appeared only if both ports are built on same host.
Comment 2 Danilo G. Baio freebsd_committer 2020-06-06 16:40:29 UTC
timeout
Comment 3 commit-hook freebsd_committer 2020-06-06 16:42:57 UTC
A commit references this bug:

Author: dbaio
Date: Sat Jun  6 16:42:28 UTC 2020
New revision: 538107
URL: https://svnweb.freebsd.org/changeset/ports/538107

Log:
  net-mgmt/zabbix44-[proxy|server]: Avoid conflicts with bin/zabbix_js

  Same approach in Zabbix 5.

  Another way is having another slave port, zabbix44-js just for this file.

  PR:		245037
  Reported by:	Aleksandr Ignatyev <alex@i.org.ua>
  Approved by:	maintainer timeout (pg@pakhom.spb.ru, > 2 months)

Changes:
  head/net-mgmt/zabbix44-server/Makefile
  head/net-mgmt/zabbix44-server/pkg-plist